## ros-melodic-distance-map-deadreck 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11 FATAL_ERROR)
project(distance_map_deadreck)

include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
if(COMPILER_SUPPORTS_CXX11)
  message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has C++11 support.")
else()
  message(FATAL_ERROR "The compiler ${CMAKE_CXX_COMPILER}"
  " has no C++11 support. Please use a different C++ compiler.")
endif()

find_package(catkin REQUIRED COMPONENTS
  distance_map_core
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS distance_map_core
)

include_directories(include)
include_directories(SYSTEM ${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS})

###############
##   Build   ##
###############

add_library(${PROJECT_NAME}
  src/distance_map_deadreck.cpp
)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

# Require C++11
if(CMAKE_VERSION VERSION_LESS "3.1")
  set_target_properties(${PROJECT_NAME} PROPERTIES COMPILE_FLAGS "-std=c++11")
else()
  set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD 11)
  set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD_REQUIRED ON)
  set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_EXTENSIONS OFF)
endif()

################
##  Install   ##
################

install(TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(FILES distance_map_plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

foreach(dir launch)
  install(DIRECTORY ${dir}/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir}
    PATTERN *.example EXCLUDE)
endforeach(dir)

################
##    Test    ##
################

if(CATKIN_ENABLE_TESTING)
#  add_subdirectory(test)
endif()

=== test/CMakeLists.txt ===
enable_testing()

find_package(rostest REQUIRED)

include_directories(SYSTEM ${catkin_INCLUDE_DIRS})

catkin_add_gtest(gtest_conversion gtest_conversion.cpp)
target_link_libraries(gtest_conversion ${PROJECT_NAME} ${catkin_LIBRARIES})

# Require C++11
if(CMAKE_VERSION VERSION_LESS "3.1")
  set_target_properties(gtest_conversion PROPERTIES COMPILE_FLAGS "-std=c++11")
else()
  set_property(TARGET gtest_conversion PROPERTY CXX_STANDARD 11)
  set_property(TARGET gtest_conversion PROPERTY CXX_STANDARD_REQUIRED ON)
  set_property(TARGET gtest_conversion PROPERTY CXX_EXTENSIONS OFF)
endif()

=== debian/changelog ===
ros-melodic-distance-map-deadreck (0.1.0-1stretch) stretch; urgency=high

  * Initial release

 -- Jeremie Deray <deray.jeremie@gmail.com>  Fri, 02 Aug 2019 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-distance-map-deadreck
Section: misc
Priority: extra
Maintainer: Jeremie Deray <deray.jeremie@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-distance-map-core
Homepage: https://github.com/arkanis/single-header-file-c-libs
Standards-Version: 3.9.2

Package: ros-melodic-distance-map-deadreck
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-distance-map-core
Description: Node package of the map_distance project.
 It contains the ROS node that instantiate the distance map plugin.
